Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

59 lines (32 sloc) 1.475 kb

Changes between Validateur 1.3.0 and 1.4.0

Clojure 1.5.1 By Default

Validateur now depends on org.clojure/clojure version 1.5.1 which includes an important bug fix.

Changes between Validateur 1.2.0 and 1.3.0

clojurewerkz.support 0.14.0

ClojureWerkz Support upgraded to v0.14.0.

Clojure 1.5

Validateur now depends on org.clojure/clojure version 1.5.0. It is still compatible with Clojure 1.3 and if your project.clj depends on a different version, it will be used, but 1.5 is the default now.

We encourage all users to upgrade to 1.5, it is a drop-in replacement for the majority of projects out there.

Changes between Validateur 1.1.0 and 1.2.0

Doc strings

Built-in validation functions now have doc strings.

clojurewerkz.support 0.6.0

ClojureWerkz Support upgraded to v0.6.0.

Changes between Validateur 1.0.0 and 1.1.0

Nested attributes support

presence-of and other DSL functions now support nested attributes (think clojure.core/get-in), for example:

(validation-set
  (presence-of :email)
  (presence-of [:address :street])
  (presence-of [:card :cvc]))

clojurewerkz.support dependency

Validateur now depends on ClojureWerkz Support.

Leiningen 2

Validateur now uses Leiningen 2.

Jump to Line
Something went wrong with that request. Please try again.